Update marketing expansion
POST https://{handle}.myshopline.com/admin/openapi/v20261201/sales/marketing_activity_extension/:marketing_activity_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Path Parameters
- marketing_activity_id string requiredMarketing expansion campaign id
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
marketing_activityobject
Marketing expansionutm_medium stringSource type of logo ( email , article )Example:emailmarketing_activity_title stringMarketing expansion campaign titleExample:This is marketing activity titlestatus stringStatus before marketing campaign , draft,failed,active,inactive,scheduled,paused,deleted_externally on the outsideExample:draftutm_content stringDistinguish between different links within the same adExample:googleAdsform_data stringJson's form data is serialized as a stringExample:{\"budget\":{\"frequency\":\"DAILY\",\"currency\":\"TWD\"},\"time\":{\"startTime\":1671275280000,\"endTime\":1671361680000}}started_at stringStart timeExample:2022-12-15T09:00:00+08:00utm_source stringIdentity advertising customers , advertising websitesExample:www.shopline.comutm_term stringSignature search keywordExample:this is utm term nametarget_status stringTarget status to be replaced by marketing campaign , draft,failed,active,inactive,scheduled,paused,deleted_externally on the outsideExample:activeutm_campaign stringLogo specific advertisingExample:googleended_at stringEnd timeExample:2022-12-15T09:00:00+08:00remote_id stringunique id for [App] dataExample:c219fd95-3f9f-4c96-b995-e3b40f87d321
Status Codes
- 200
- 400
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
marketing_activityobject
Marketing expansionstarted_at stringStart timeExample:2022-12-15T09:00:00+08:00marketing_activity_title stringTitle of marketingExample:Black five activitymarketing_activity_id stringMarketing expansion campaign idExample:MA_5797003750150774786remote_id stringunique id for [App] dataExample:123utm_source stringIdentity advertising customers , advertising websitesExample:www.shopline.comutm_term stringSignature search keywordExample:this is utm term nameended_at stringEnd timeExample:2022-12-15T09:00:00+08:00form_data stringJson's form data is serialized as a stringExample:{\"budget\":{\"frequency\":\"DAILY\",\"currency\":\"TWD\"},\"time\":{\"startTime\":1671275280000,\"endTime\":1671361680000}}utm_medium stringSource type of logo ( email , article )Example:emailstatus stringStatus before marketing campaign , draft,failed,active,inactive,scheduled,paused,deleted_externally on the outsideExample:drafttarget_status stringTarget status to be replaced by marketing campaign , draft,failed,active,inactive,scheduled,paused,deleted_externally on the outsideExample:activeutm_content stringDistinguish between different links within the same adExample:googleAdsutm_campaign stringLogo specific advertisingExample:google
API Explorer
Debugger
Examples
Was this article helpful to you?